Skip to main content
GET
/
projects
/
{projectIdOrName}
/
operations
/
{operationId}
/
logs
List logs for an operation
curl --request GET \
  --url https://api.withampersand.com/v1/projects/{projectIdOrName}/operations/{operationId}/logs \
  --header 'X-Api-Key: <api-key>'
import requests

url = "https://api.withampersand.com/v1/projects/{projectIdOrName}/operations/{operationId}/logs"

headers = {"X-Api-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};

fetch('https://api.withampersand.com/v1/projects/{projectIdOrName}/operations/{operationId}/logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "timestamp": "2023-07-13T21:34:44.816354Z",
    "message": {
      "msg": "This is a log message",
      "error": "<string>",
      "operation_id": "<string>",
      "details": {
        "request": "GET /api/v1/users"
      }
    },
    "severity": "DEBUG"
  }
]
{
"type": "about:blank",
"href": "https://www.belgif.be/specification/rest/api-guide/#standardized-problem-types",
"title": "Bad Request",
"status": 400,
"detail": "The input message is incorrect",
"instance": "123456-1234-1235-4567489798",
"issues": [
{
"type": "about:blank",
"detail": "exampleNumericProperty should be numeric",
"in": "path",
"name": "exampleNumericProperty",
"value": "abc"
},
{
"type": "about:blank",
"title": "Input isn't valid with respect to schema",
"detail": "examplePropertyWithPattern a2345678901 doesn't match pattern '^\\d{11}$'",
"in": "body",
"name": "items[0].examplePropertyWithPattern",
"value": "a2345678901"
}
]
}
{
"type": "about:blank",
"href": "https://www.belgif.be/specification/rest/api-guide/#standardized-problem-types",
"title": "Bad Request",
"status": 400,
"detail": "The input message is incorrect",
"instance": "123456-1234-1235-4567489798",
"issues": [
{
"type": "about:blank",
"detail": "exampleNumericProperty should be numeric",
"in": "path",
"name": "exampleNumericProperty",
"value": "abc"
},
{
"type": "about:blank",
"title": "Input isn't valid with respect to schema",
"detail": "examplePropertyWithPattern a2345678901 doesn't match pattern '^\\d{11}$'",
"in": "body",
"name": "items[0].examplePropertyWithPattern",
"value": "a2345678901"
}
]
}
{
"type": "urn:problem-type:exampleOrganization:exampleProblem",
"href": "https://www.belgif.be/specification/rest/api-guide/#standardized-problem-types",
"title": "Description of the type of problem that occurred",
"status": 400,
"detail": "Description of specific occurrence of the problem",
"instance": "urn:uuid:123e4567-e89b-12d3-a456-426614174000"
}

Authorizations

X-Api-Key
string
header
required

Path Parameters

projectIdOrName
string
required

The Ampersand project ID or project name.

operationId
string
required

Operation ID.

Response

List of logs

timestamp
string
required

The time the log was created.

Example:

"2023-07-13T21:34:44.816354Z"

message
object
required

The log message object.

severity
string
required

The severity of the log.

Example:

"DEBUG"